Notification Topic¶
Get¶
HTTP Request
GET /api/v1/notification-topic/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "application": "NFS",
17 "name": "string",
18 "en_caption": "string",
19 "fr_caption": "string",
20 "priority": "HIGH"
21 }
22}
Update¶
HTTP Request
PUT /api/v1/notification-topic/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "application": "NFS",
4 "name": "string",
5 "en_caption": "string",
6 "fr_caption": "string",
7 "priority": "HIGH"
8}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "application": "NFS",
17 "name": "string",
18 "en_caption": "string",
19 "fr_caption": "string",
20 "priority": "HIGH"
21 }
22}
Patch¶
HTTP Request
PATCH /api/v1/notification-topic/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "application": "NFS",
18 "name": "string",
19 "en_caption": "string",
20 "fr_caption": "string",
21 "priority": "HIGH"
22 }
23 ]
24}
Bulk Update¶
HTTP Request
PUT /api/v1/notification-topic/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "application": "NFS",
5 "name": "string",
6 "en_caption": "string",
7 "fr_caption": "string",
8 "priority": "HIGH"
9 }
10]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "application": "NFS",
18 "name": "string",
19 "en_caption": "string",
20 "fr_caption": "string",
21 "priority": "HIGH"
22 }
23 ]
24}
Search¶
HTTP Request
POST /api/v1/notification-topic/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc |
body |
body |
false |
none |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
sort |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1 |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "applicationEqual": "NFS",
16 "nameEqual": "string",
17 "priorityEqual": "HIGH"
18}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": true,
6 "paged": true,
7 "pageNumber": 0,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "application": "NFS",
22 "name": "string",
23 "en_caption": "string",
24 "fr_caption": "string",
25 "priority": "HIGH"
26 }
27 ],
28 "number": 0,
29 "sort": {
30 "unsorted": true,
31 "sorted": true,
32 "empty": true
33 },
34 "first": true,
35 "last": true,
36 "empty": true
37}
Find All¶
HTTP Request
GET /api/v1/notification-topic
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": true,
6 "paged": true,
7 "pageNumber": 0,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "application": "NFS",
22 "name": "string",
23 "en_caption": "string",
24 "fr_caption": "string",
25 "priority": "HIGH"
26 }
27 ],
28 "number": 0,
29 "sort": {
30 "unsorted": true,
31 "sorted": true,
32 "empty": true
33 },
34 "first": true,
35 "last": true,
36 "empty": true
37}